# Generated from ark_tweet_nlp-0.3.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ark_tweet_nlp

Name: rubygem-%{gem_name}
Version: 0.3.2
Release: 1%{?dist}
Summary: Ruby wrapper for the Carnegie Mellon Twitter NLP
License: MIT
URL: https://github.com/golfadas/ark_tweet_nlp_ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-nc)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-nav)
# BuildRequires: rubygem(pry-rescue)
# BuildRequires: rubygem(pry-stack_explorer)
# BuildRequires: rubygem(pry-doc)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
BuildArch: noarch

%description
Tags tweets word into multiple cathegories using NLP.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/ark-tweet-nlp-0.3.2.jar
%{_bindir}/runTagger.sh
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ark_tweet_nlp.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.3.2-1
- Initial package
